﻿© Fluke Calibration, All Rights Reserved.                   MET/CAL Procedure
=============================================================================
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) Bandwidth IEEE /5520A+SC
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) Trigger Level IEEE /5520A+SC
INSTRUMENT:            Sub LeCroy WJ300 (1 yr) Time Base Acc IEEE /5520A+SC
DATE:                  2010-10-25 10:35:14
AUTHOR:                Fluke
REVISION:              $Revision: 18060 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       15
NUMBER OF LINES:       546
CONFIGURATION:         Fluke 5520A (SC)
=============================================================================
#
#  Procedure Author:
#        VY, DFM
#
#  Model(s) Covered:
#        Wavejet 300 Series
#
#  Compatibility:
#        MET/CAL 7.20 or later
#
#  Subprocedures:
#        Sub LeCroy WJ300 Select Channel IEEE
#
#  Required Files:
#        None
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

  1.001  IEEE         *CLS;*RST
  1.002  WAIT         -t 3 UUT Resetting...
  1.003  CALL         Sub LeCroy WJ300 Select Channel IEEE
  1.004  MATH         Ch = @Chan

  1.005  IF           Ch == 1
  1.006  MATH         ChLabel = "1 X"
  1.007  ELSEIF       Ch == 2
  1.008  MATH         ChLabel = "2 Y"
  1.009  ELSE
  1.010  MATH         ChLabel = Ch
  1.011  ENDIF

  1.012  JMPL         BANDWIDTH                     PSUBI("Bandwidth")
  1.013  JMPL         TRIGGER_LEVEL                 PSUBI("Trigger Level")
  1.014  JMPL         TIME_BASE_ACC                 PSUBI("Time Base Acc")

  1.015  DISP         {Undefined subprocedure!}
  1.016  END

  1.017  EVAL   Increment step number

# ================================ Bandwidth ================================

  2.001  LABEL        BANDWIDTH
  2.002  HEAD         CH[V Ch] BANDWIDTH
  2.003  HEAD         -2 10 mV/div

  2.004  IF           Ch == 1
  2.005  RSLT         =
  2.006  RSLT         =BANDWIDTH
  2.007  ENDIF

  2.008  RSLT         =
  2.009  RSLT         =Channel [V Ch]

  2.010  TARGET       -p
  2.011  TSET         TDESC = 10 mV/div
  2.012  IEEE         C[V Ch]:CPL DC1M
  2.013  DISP         Connect the 5520A SCOPE OUT via 50 Ohm feed through
  2.013  DISP         terminator to the UUT CH[V ChLabel].

  2.014  IF           Ch == 1
  2.015  DISP         The next operator intervention occurs in
  2.015  DISP         approximately 4 minutes, 10 seconds...
  2.016  ELSE
  2.017  DISP         The next operator intervention occurs in
  2.017  DISP         approximately 3 minutes, 10 sesconds...
  2.018  ENDIF

  2.019  IEEE         C[V Ch]:VDIV 10E-3
  2.020  IEEE         C[V Ch]:OFST 0
  2.021  IEEE         TTYP EDGE;TSRC CH[V Ch];TRMD AUTO
  2.022  IEEE         TDIV 50E-9
  2.023  IEEE         EQU ON;MLEN 10K
  2.024  IEEE         DIRM A;MSEL CH[V Ch],P-P;MDSP ON
  2.025  MATH         Std = @DevName; Mode = "Vpp LS SC"

# Set the output of the calibrator is 6 vertical divisions at the selected
# vertical scale with a set frequency of 10 MHz.
  2.026  MATH         MEM = 60; MEM1 = MEM

  2.027  DO
  2.028  MATH         MEM = MEM1 + (60 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  2.029  IF           MEM > 5500 || MEM < 5
  2.030  MATH         MEM = 60
  2.031  ENDIF

  2.032  5520         mVpp                         10MH           LS SC S  L
  2.033  WAIT         -t 2 Settling...
  2.034  IEEE         MSRA?[I]
  2.035  MATH         Vinpp = MEM
  2.036  MATH         MEM = MEM / 1E-3
  2.037  UNTIL        MEM > 59.5 && MEM < 60.5

  2.038  IEEE         TDIV 5E-9
# Last calibrator amplitude setting is in MEM1.
  2.039  MATH         MEM = MEM1

  2.040  IF           @Bandwidth == 100E+6
  2.041  5520         mVpp                         100.1MH        LS SC S  L
  2.042  ELSE
  2.043  5520         mVpp                         200.1MH        LS SC S  L
  2.044  ENDIF

  2.045  WAIT         -t 3 Settling...
  2.046  TARGET       -m
  2.047  IEEE         MSRA?[I]
  2.048  MATH         Vbwpp = MEM / 1E-3
  2.049  MATH         Gain = Vbwpp / Vinpp
  2.050  MATH         FlatVpp = ACCV2(Std, Mode, MEM, @Bandwidth)
  2.051  MATH         FlatPct = (FlatVpp / Vinpp) * 100
  2.052  MATH         L[1] = PCTTODBV_D(FlatPct)
  2.053  ACC          0.0dB          L1U                                   +DV
  2.054  MATH         MEM = 20 * LOG(Gain)
  2.055  MEMCX        0.0dB          3.0U

  3.001  HEAD         -2 50 mV/div
  3.002  TARGET       -p
  3.003  TSET         TDESC = 50 mV/div
  3.004  IEEE         C[V Ch]:VDIV 50E-3
  3.005  IEEE         TDIV 50E-9

# Set the output of the calibrator is 6 vertical divisions at the selected
# vertical scale with a set frequency of 10 MHz.
  3.006  MATH         MEM = 300; MEM1 = MEM

  3.007  DO
  3.008  MATH         MEM = MEM1 + (300 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  3.009  IF           MEM > 5500 || MEM < 5
  3.010  MATH         MEM = 300
  3.011  ENDIF

  3.012  5520         mVpp                         10MH           LS SC S  L
  3.013  WAIT         -t 2 Settling...
  3.014  IEEE         MSRA?[I]
  3.015  MATH         MEM = MEM / 1E-3
  3.016  UNTIL        MEM > 299.5 && MEM < 300.5

  3.017  MATH         Vinpp = MEM

  3.018  IEEE         TDIV 5E-9
# Last calibrator amplitude setting is in MEM1.
  3.019  MATH         MEM = MEM1

  3.020  IF           @Bandwidth == 100E+6
  3.021  5520         mVpp                         100.1MH        LS SC S  L
  3.022  ELSE
  3.023  5520         mVpp                         200.1MH        LS SC S  L
  3.024  ENDIF

  3.025  WAIT         -t 3 Settling...
  3.026  TARGET       -m
  3.027  IEEE         MSRA?[I]
  3.028  MATH         Vbwpp = MEM / 1E-3
  3.029  MATH         Gain = Vbwpp / Vinpp
  3.030  MATH         FlatVpp = ACCV2(Std, Mode, MEM, @Bandwidth)
  3.031  MATH         FlatPct = (FlatVpp / Vinpp) * 100
  3.032  MATH         L[1] = PCTTODBV_D(FlatPct)
  3.033  ACC          0.0dB          L1U                                   +DV
  3.034  MATH         MEM = 20 * LOG(Gain)
  3.035  MEMCX        0.0dB          3.0U

  4.001  HEAD         -2 100 mV/div
  4.002  TARGET       -p
  4.003  TSET         TDESC = 100 mV/div
  4.004  IEEE         C[V Ch]:VDIV 100E-3
  4.005  IEEE         TDIV 50E-9

# Set the output of the calibrator is 6 vertical divisions at the selected
# vertical scale with a set frequency of 10 MHz.
  4.006  MATH         MEM = 600; MEM1 = MEM

  4.007  DO
  4.008  MATH         MEM = MEM1 + (600 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  4.009  IF           MEM > 5500 || MEM < 5
  4.010  MATH         MEM = 600
  4.011  ENDIF

  4.012  5520         mVpp                         10MH           LS SC S  L
  4.013  WAIT         -t 2 Settling...
  4.014  IEEE         MSRA?[I]
  4.015  MATH         MEM = MEM / 1E-3
  4.016  UNTIL        MEM > 599 && MEM < 601

  4.017  MATH         Vinpp = MEM

  4.018  IEEE         TDIV 5E-9
# Last calibrator amplitude setting is in MEM1.
  4.019  MATH         MEM = MEM1

  4.020  IF           @Bandwidth == 100E+6
  4.021  5520         mVpp                         100.1MH        LS SC S  L
  4.022  ELSE
  4.023  5520         mVpp                         200.1MH        LS SC S  L
  4.024  ENDIF

  4.025  WAIT         -t 3 Settling...
  4.026  TARGET       -m
  4.027  IEEE         MSRA?[I]
  4.028  MATH         Vbwpp = MEM / 1E-3
  4.029  MATH         Gain = Vbwpp / Vinpp
  4.030  MATH         FlatVpp = ACCV2(Std, Mode, MEM, @Bandwidth)
  4.031  MATH         FlatPct = (FlatVpp / Vinpp) * 100
  4.032  MATH         L[1] = PCTTODBV_D(FlatPct)
  4.033  ACC          0.0dB          L1U                                   +DV
  4.034  MATH         MEM = 20 * LOG(Gain)
  4.035  MEMCX        0.0dB          3.0U

  5.001  HEAD         -2 500 mV/div
  5.002  TARGET       -p
  5.003  TSET         TDESC = 500 mV/div
  5.004  IEEE         C[V Ch]:VDIV 500E-3
  5.005  IEEE         TDIV 50E-9

# Set the output of the calibrator is 6 vertical divisions at the selected
# vertical scale with a set frequency of 10 MHz.
  5.006  MATH         MEM = 3000; MEM1 = MEM

  5.007  DO
  5.008  MATH         MEM = MEM1 + (3000 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  5.009  IF           MEM > 5500 || MEM < 5
  5.010  MATH         MEM = 3000
  5.011  ENDIF

  5.012  5520         mVpp                         10MH           LS SC S  L
  5.013  WAIT         -t 2 Settling...
  5.014  IEEE         MSRA?[I]
  5.015  MATH         MEM = MEM / 1E-3
  5.016  UNTIL        MEM > 2995 && MEM < 3005

  5.017  MATH         Vinpp = MEM

  5.018  IEEE         TDIV 5E-9
# Last calibrator amplitude setting is in MEM1.
  5.019  MATH         MEM = MEM1

  5.020  IF           @Bandwidth == 100E+6
  5.021  5520         mVpp                         100.1MH        LS SC S  L
  5.022  ELSE
  5.023  5520         mVpp                         200.1MH        LS SC S  L
  5.024  ENDIF

  5.025  WAIT         -t 3 Settling...
  5.026  TARGET       -m
  5.027  IEEE         MSRA?[I]
  5.028  MATH         Vbwpp = MEM / 1E-3
  5.029  MATH         Gain = Vbwpp / Vinpp
  5.030  MATH         FlatVpp = ACCV2(Std, Mode, MEM, @Bandwidth)
  5.031  MATH         FlatPct = (FlatVpp / Vinpp) * 100
  5.032  MATH         L[1] = PCTTODBV_D(FlatPct)
  5.033  ACC          0.0dB          L1U                                   +DV
  5.034  MATH         MEM = 20 * LOG(Gain)
  5.035  MEMCX        0.0dB          3.0U

  6.001  HEAD         -2
  6.002  HEAD
  6.003  5520         *                                                 S
  6.004  END

  6.005  EVAL   Increment step number

# ================================ Trigger Level =============================

  7.001  LABEL        TRIGGER_LEVEL
  7.002  HEAD         CH[V Ch] TRIGGER AT 0 DIVISION THRESHOLD
  7.003  HEAD         -2 Pos Slope
# TUR checking turned off because measured slope value not related to 5520A
# output amplitude accuracy.
  7.004  ASK-                              U

  7.005  IF           Ch == 1
  7.006  RSLT         =
  7.007  RSLT         =TRIGGER LEVEL
  7.008  ENDIF

  7.009  RSLT         =
  7.010  RSLT         =Channel [V Ch]

  7.011  TARGET       -p
  7.012  TSET         TDESC = 0 mV, Positive Slope
  7.013  IEEE         C[V Ch]:CPL DC1M
  7.014  IEEE         C[V Ch]:VDIV 100E-3
  7.015  IEEE         C[V Ch]:OFST 0
  7.016  IEEE         ACQ AVERAGE;AVGCNT 16;MLEN 10K
  7.017  IEEE         TTYP EDGE;TSRC CH[V Ch];TRMD AUTO;TSLP POS;TLVL 0
  7.018  IEEE         TDIV 5E-6
  7.019  IEEE         CURM VATH;HCUR 0,0

# Adjust the calibrator output amplitude to get 90% of full scale.
  7.020  IEEE         DIRM A;MSEL CH[V Ch],P-P;MDSP ON
  7.021  MATH         MEM = 720; MEM1 = MEM

  7.022  DO
  7.023  MATH         MEM = MEM1 + (720 - MEM) / 2

# Set the output trap in order to avoid the calculated output beyond the
# calibrator maximum or minimum output at this frequency because of unstable
# reading.
  7.024  IF           MEM > 5500 || MEM < 5
  7.025  MATH         MEM = 720
  7.026  ENDIF

  7.027  5520         mVpp                         50kH           LS SC S  L
  7.028  WAIT         -t 2 Settling...
  7.029  IEEE         MSRA?[I]
  7.030  MATH         MEM = MEM / 1E-3
  7.031  UNTIL        MEM > 719 && MEM < 721

# Save the Last calibrator amplitude setting.
  7.032  MATH         Vstd = MEM1
  7.033  IEEE         TRDL 0[D1000]
  7.034  TARGET       -m
  7.035  IEEE         CMSR?[I$]
# Get the value at cursor of current channel and convert to mVpp.
  7.036  MATH         MEM = FLD(MEM2, Ch, ",") / 1E-3
  7.037  MEMCX        0.00mV         42.50U

  8.001  HEAD         -2 Neg Slope
  8.002  TARGET       -p
  8.003  TSET         TDESC = 0 mV, Negative Slope
  8.004  IEEE         TSLP NEG
  8.005  IEEE         CURM VATH;HCUR 0,0
  8.006  IEEE         TSLP NEG
  8.007  IEEE         CURM VATH;HCUR 0,0
# Retrieve last calibrator setting.
  8.008  MATH         MEM = Vstd
  8.009  5520         mVpp                         50kH           LS SC S  L
  8.010  WAIT         -t 6 Settling...
  8.011  IEEE         TRDL 0[D1000]
  8.012  TARGET       -m
  8.013  IEEE         CMSR?[I$]
# Get the value at cursor of current channel and convert to mVpp.
  8.014  MATH         MEM = FLD(MEM2, Ch, ",") / 1E-3
  8.015  MEMCX        0.00mV         42.50U

  9.001  HEAD         CH[V Ch] TRIGGER AT +3.0 DIVISION THRESHOLD
  9.002  HEAD         -2 Pos Slope
  9.003  TARGET       -p
  9.004  TSET         TDESC = +300 mV, Positive Slope
  9.005  IEEE         C[V Ch]:CPL DC1M
  9.006  IEEE         C[V Ch]:VDIV 100E-3
  9.007  IEEE         C[V Ch]:OFST 0
  9.008  IEEE         ACQ AVERAGE;AVGCNT 16;MLEN 10K
  9.009  IEEE         TTYP EDGE;TSRC CH[V Ch];TRMD AUTO;TSLP POS;TLVL 0.3
  9.010  IEEE         TDIV 5E-6
  9.011  IEEE         CURM VATH;HCUR 0,0
# Retrieve last calibrator setting.
  9.012  MATH         MEM = Vstd
  9.013  5520         mVpp                         50kH           LS SC S  L
  9.014  WAIT         -t 6 Settling...
  9.015  IEEE         TRDL 0[D1000]
  9.016  TARGET       -m
  9.017  IEEE         CMSR?[I$]
  9.018  MATH         MEM = FLD(MEM2, Ch, ",") / 1E-3
  9.019  MEMCX        300.0mV        60.0U

 10.001  HEAD         -2 Neg Slope
 10.002  TARGET       -p
 10.003  TSET         TDESC = +300 mV, Negative Slope
 10.004  IEEE         TSLP NEG
 10.005  IEEE         CURM VATH;HCUR 0,0
 10.006  MATH         MEM = Vstd
 10.007  5520         mVpp                         50kH           LS SC S  L
 10.008  WAIT         -t 6 Settling...
 10.009  IEEE         TRDL 0 [D1000]
 10.010  TARGET       -m
 10.011  IEEE         CMSR?[I$]
 10.012  MATH         MEM = FLD(MEM2, Ch, ",") / 1E-3
 10.013  MEMCX        300.0mV        60.0U

 11.001  HEAD         CH[V Ch] TRIGGER AT -3.0 DIVISION THRESHOLD
 11.002  HEAD         -2 Pos Slope
 11.003  TARGET       -p
 11.004  TSET         TDESC = -300 mV, Positive Slope
 11.005  IEEE         C[V Ch]:CPL DC1M
 11.006  IEEE         C[V Ch]:VDIV 100E-3
 11.007  IEEE         C[V Ch]:OFST 0
 11.008  IEEE         ACQ AVERAGE;AVGCNT 16;MLEN 10K
 11.009  IEEE         TTYP EDGE;TSRC CH[V Ch];TRMD AUTO;TSLP POS;TLVL -0.3
 11.010  IEEE         TDIV 5E-6
 11.011  IEEE         CURM VATH;HCUR 0,0
 11.012  MATH         MEM = Vstd
 11.013  5520         mVpp                         50kH           LS SC S  L
 11.014  WAIT         -t 6 Settling...
 11.015  IEEE         TRDL 0[D1000]
 11.016  TARGET       -m
 11.017  IEEE         CMSR?[I$]
 11.018  MATH         MEM = FLD(MEM2, Ch, ",") / 1E-3
 11.019  MEMCX        -300.0mV       60.0U

 12.001  HEAD         -2 Neg Slope
 12.002  TARGET       -p
 12.003  TSET         TDESC = -300 mV, Negative Slope
 12.004  IEEE         TSLP NEG
 12.005  IEEE         CURM VATH;HCUR 0,0
 12.006  MATH         MEM = Vstd
 12.007  5520         mVpp                         50kH           LS SC S  L
 12.008  WAIT         -t 6 Settling...
 12.009  IEEE         TRDL 0[D1000]
 12.010  TARGET       -m
 12.011  IEEE         CMSR?[I$]
 12.012  MATH         MEM = FLD(MEM2, Ch, ",") / 1E-3
 12.013  MEMCX        -300.0mV       60.0U

# Turn TUR checking back on
 13.001  ASK+                              U
 13.002  HEAD         -2
 13.003  HEAD
 13.004  5520         *                                                 S
 13.005  END

 13.006  EVAL   Increment step number

# ================================ Time Base Acc =============================

 14.001  LABEL        TIME_BASE_ACC
 14.002  RSLT         =
 14.003  HEAD         {TIME BASE ACCURACY}
 14.004  TARGET
 14.005  IEEE         C[V Ch]:VDIV 100E-3
 14.006  IEEE         C[V Ch]:OFST 0
 14.007  IEEE         ACQ AVERAGE;AVGCNT 16;MLEN 10K
 14.008  IEEE         TTYP EDGE;TSRC CH[V Ch];TRMD AUTO
 14.009  IEEE         TDIV 20E-9
 14.010  IEEE         C[V Ch]:CPL DC1M
 14.011  5520         600mVpp                      10MH           LS SC S  L
 14.012  WAIT         -t 3 Settling...

 14.013  IF           @Bandwidth == 200E+6
 14.014  MATH         TDiv = 2E-9
 14.015  ELSE
 14.016  MATH         TDiv = 1E-9
 14.017  ENDIF

 14.018  IEEE         TDIV [V TDiv]
 14.019  IEEE         TSLP POS;TLVL 0;TRDL 0
 14.020  IEEE         CURM VATH;HCUR 0,0

# Adjust trig level to make the positive slope just crossed from the center of
# screen. Here we define the amplitude of cross zero point is below +/-0.5 mV
# for WaveJet 31x and 32x.
 14.021  MATH         AmplCrossZero = 0.5
 14.022  MATH         TrigLevel = 0

 14.023  DO
 14.024  IEEE         TLVL [V TrigLevel]
 14.025  IEEE         [D1000]CMSR?[I$]
# Get the value at cursor of current channel and convert to mV.
 14.026  MATH         MEM = FLD(MEM2, Ch, ",") / 1E-3

 14.027  IF           MEM > AmplCrossZero
 14.028  MATH         TrigLevel = TrigLevel - 0.001
 14.029  ELSEIF       MEM < (-1 * AmplCrossZero)
 14.030  MATH         TrigLevel = TrigLevel + 0.001
 14.031  ENDIF

 14.032  IF           ABS(TrigLevel) >= 0.3
 14.033  MATH         TrigLevel = 0
 14.034  ENDIF

 14.035  UNTIL        ABS(MEM) <= AmplCrossZero

# Set -1 ms delay.
 14.036  IEEE         TRDL -1E-3
 14.037  WAIT         -t 2 Settling...
# Use cursor measurement to look for new cross zero point after trigger delay
# is set. Here we define the amplitude of cross zero point is below +/-0.5 mV
# for WaveJet 31x and 32x.
 14.038  MATH         HCurPos = 0

 14.039  DO
 14.040  IEEE         HCUR [V HCurPos],0
 14.041  IEEE         [D500]CMSR?[I$]
 14.042  MATH         MEM = FLD(MEM2, Ch, ",") / 1E-3

# Define coarse and fine step for cursor movement.
 14.043  IF           MEM > 10
 14.044  MATH         HCurPos = HCurPos - 0.1
 14.045  ELSEIF       MEM >= AmplCrossZero && MEM <= 10
 14.046  MATH         HCurPos = HCurPos - 0.01
 14.047  ELSEIF       MEM >= -10 && MEM <= (-1 * AmplCrossZero)
 14.048  MATH         HCurPos = HCurPos + 0.01
 14.049  ELSEIF       MEM < -10
 14.050  MATH         HCurPos = HCurPos + 0.1
 14.051  ENDIF

 14.052  UNTIL        ABS(MEM) <= AmplCrossZero

# Get the cursor position and convert to current time division.
 14.053  IEEE         HCUR?[I$]
 14.054  MATH         MEM = FLD(MEM2, 1, ",") * TDiv
 14.055  MATH         RsltStr = FMT(MEM / 1E-9, "%.3f") & " ns"
 14.056  MEM2         = Limits: ±8.000 ns, Result: [V RsltStr]
 14.057  EVAL   -e MEM >= -8 && MEM <= 8 : [MEM2]

 15.001  HEAD
 15.002  5520         *                                                 S
 15.003  END
